<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-contact-enable'] = '';
$biography_customizer_defaults['biography-home-contact-page-id'] = 0;
$biography_customizer_defaults['biography-home-contact-info-title'] = esc_html__( 'Address', 'biography' );
$biography_customizer_defaults['biography-home-contact-address'] = esc_html__( 'Jawalakhel 00467, Lalitpur, Nepal', 'biography' );
$biography_customizer_defaults['biography-home-contact-phone'] = esc_html__( '+00 0 000000000', 'biography' );
$biography_customizer_defaults['biography-home-contact-email'] = esc_html__( 'xyz@email.com', 'biography' );
$biography_customizer_defaults['biography-home-contact-form-title'] = esc_html__( 'Send message', 'biography' );
$biography_customizer_defaults['biography-home-contact-form-shortcode'] = '';

/*page selection*/
$biography_sections['biography-home-contact'] =
    array(
        'priority'       => 190,
        'title'          => esc_html__( 'Home/Front Contact Section', 'biography' )
    );

/*contactsetting*/
$biography_settings_controls['biography-home-contact-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Contact', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-contact-page-id'] =
    array(
        'setting' =>
            array(
                'default'              => $biography_customizer_defaults['biography-home-contact-page-id'],
            ),
        'control' => array(
            'label'                 =>  esc_html__( 'Select Page For Contact', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'dropdown-pages',
            'priority'              => 10,
            'description'           => ''
        )
    );

$biography_settings_controls['biography-home-contact-info-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-info-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Info Title', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-address'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-address']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Full Address', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-phone'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-phone']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Phone', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-email'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-email']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Email', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'email',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-form-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-form-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Form Title', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-contact-form-shortcode'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-contact-form-shortcode']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Form Shortcode', 'biography' ),
            'section'               => 'biography-home-contact',
            'type'                  => 'text_html',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );
