<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/

/*category selection*/
$biography_sections['biography-home-sortable'] =
    array(
        'priority'       => 199,
        'title'          => esc_html__( 'Change The Front Page Section Order', 'biography' ),
        'panel'          => 'biography-home-sortable-panel' 
    );

$choices = array();
    $services = biography_sortable();
    foreach( $services as $key => $val ){
        $choices[$key] = $val['label'];
    }



$biography_settings_controls['sortable'] =
    array(
        'setting' =>    
            array(

                'default'              => '',
                'transport'         => 'refresh',
            ),
        'control' => 

            array(
                'label'                 =>  esc_html__( 'Manage Home Page Sections', 'biography' ),
                'section'               => 'biography-home-sortable',
                'type'                  => 'sortable',
                'priority'              => 1,
                'choices'               => $choices,
                'description'             => esc_html__('Please be sure to enable the Sortable Layout first','biography'),
        )
    );



function biography_sortable(){

    $services = array();

    
    $services['service'] = array(
        'id'       => 'service',
        'label'    => esc_html__( 'Service', 'biography' ),
    );

     $services['review'] = array(
        'id'       => 'review',
        'label'    => esc_html__( 'Review', 'biography' ),
    );


     $services['origin'] = array(
        'id'       => 'origin',
        'label'    => esc_html__( 'Origin', 'biography' ),
    );


     $services['history'] = array(
        'id'       => 'history',
        'label'    => esc_html__( 'History', 'biography' ),
    );


     $services['count'] = array(
        'id'       => 'count',
        'label'    => esc_html__( 'Count', 'biography' ),
    );


     $services['portfolio'] = array(
        'id'       => 'portfolio',
        'label'    => esc_html__( 'Portfolio', 'biography' ),
    );


     $services['contact'] = array(
        'id'       => 'contact',
        'label'    => esc_html__( 'Contact', 'biography' ),
    );


     $services['skill'] = array(
        'id'       => 'skill',
        'label'    => esc_html__( 'Skill', 'biography' ),
    );


     $services['client'] = array(
        'id'       => 'client',
        'label'    => esc_html__( 'Client', 'biography' ),
    );


     $services['widget'] = array(
        'id'       => 'widget',
        'label'    => esc_html__( 'Widget', 'biography' ),
    );


    
    return $services ;
}