<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-copyright-text'] = esc_html__( 'Copyright &copy; Biography','biography' );
$biography_customizer_defaults['biography-enable-theme-name'] = 1;

$biography_sections['biography-footer-options'] =
    array(
        'priority'       => 60,
        'title'          => esc_html__( 'Footer Options', 'biography' ),
        'panel'          => 'biography-theme-options'
    );

$biography_settings_controls['biography-copyright-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-copyright-text'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Copyright Text', 'biography' ),
            'section'               => 'biography-footer-options',
            'type'                  => 'text_html',
            'priority'              => 20,
        )
    );

$biography_settings_controls['biography-enable-theme-name'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-enable-theme-name'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Theme Name And Powered By Text', 'biography' ),
            'section'               => 'biography-footer-options',
            'type'                  => 'checkbox',
            'priority'              => 40,
        )
    );